// The sole owner of this code is Dundas Data Visualization Inc.
// Copyright (c) 2014 Dundas Data Visualization Inc.
// All rights reserved.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MyCompany.Sample.TwitterDataProvider
{
    /// <summary>
    /// Ids for the Twitter Properties.
    /// </summary>
    public class TwitterPropertyIds
    {
	    #region Static Fields

	    /// <summary>
	    /// The consumer key property identifier
	    /// </summary>
	    public static readonly Guid ConsumerKeyId = new Guid("8845e65f-97cb-458f-98ff-6b5d8554160f");

	    /// <summary>
	    /// The consumer secret property identifier
	    /// </summary>
	    public static readonly Guid ConsumerSecretId = new Guid("6ce3cbe0-87cc-4b23-9f4b-35cc4b005ca0");

	    #endregion Static Fields
    }
}